# TODO: use gtk4-update-icon-cache
Summary:	GNOME Nibbles - classic snake game
Summary(pl.UTF-8):	Nibbles dla GNOME - klasyczna gra w węża
Name:		gnome-nibbles
Version:	4.0.4
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/gnome-nibbles/4.0/%{name}-%{version}.tar.xz
# Source0-md5:	1759382487dc7e384429e82fe2a3c357
URL:		https://wiki.gnome.org/Apps/Nibbles
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.66.0
BuildRequires:	gsound-devel >= 1.0.2
BuildRequires:	gtk4-devel >= 4.6
BuildRequires:	libgnome-games-support2-devel >= 2.0.0
BuildRequires:	libgee-devel >= 0.8
BuildRequires:	librsvg-devel >= 1:2.32.0
BuildRequires:	meson >= 0.62
BuildRequires:	ninja >= 1.5
BuildRequires:	pango-devel >= 1:1.10
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.44
BuildRequires:	vala-gsound >= 1.0.2
BuildRequires:	vala-libgee >= 0.8
BuildRequires:	vala-libgnome-games-support2 >= 2.0.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.66.0
Requires:	glib2 >= 1:2.66.0
Requires:	gsound >= 1.0.2
Requires:	gtk4 >= 4.6
Requires:	hicolor-icon-theme
Requires:	libgnome-games-support2 >= 2.0.0
Requires:	librsvg >= 1:2.32.0
Provides:	gnome-games-gnibbles = 1:%{version}-%{release}
Obsoletes:	gnome-games-gnibbles < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Nibbles is a game where the user controls a snake. The snake
moves around the board, eating diamonds while avoiding the walls
placed around it.

%description -l pl.UTF-8
GNOME Nibbles to gra, w której użytkownik steruje wężem. Wąż
przemieszcza się po planszy zjadając diamenty, unikając zderzeń ze
ścianami.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/gnome-nibbles
%{_datadir}/dbus-1/services/org.gnome.Nibbles.service
%{_datadir}/glib-2.0/schemas/org.gnome.Nibbles.gschema.xml
%{_datadir}/gnome-nibbles
%{_datadir}/metainfo/org.gnome.Nibbles.appdata.xml
%{_desktopdir}/org.gnome.Nibbles.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Nibbles.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Nibbles-symbolic.svg
%{_mandir}/man6/gnome-nibbles.6*
%changelog
* Thu Apr 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-nibbles.git;a=log;h=master

* Wed Apr 17 2024 Jakub Bogusz <qboosh@pld-linux.org> fa31bc0
- updated to 4.0.4

* Sat Mar 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 4008654
- updated to 4.0.3

* Sat Feb 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 534fc40
- updated to 4.0.2

* Wed Dec 20 2023 Jakub Bogusz <qboosh@pld-linux.org> 6f7b6ff
- updated to 4.0.1

* Sat Dec 16 2023 Jakub Bogusz <qboosh@pld-linux.org> c0925c6
- updated to 4.0.0 (ported to gtk4/libgnome-games-support2)

* Fri May 12 2023 Jakub Bogusz <qboosh@pld-linux.org> a19338c
- updated to 3.38.3

* Mon Nov 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 809f194
- updated to 3.38.2

* Mon Oct 05 2020 Jakub Bogusz <qboosh@pld-linux.org> c9af710
- updated to 3.38.1

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 9313085
- updated to 3.38.0

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 404bd5d
- updated to 3.36.1

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> af0f08a
- updated to 3.36.0

* Thu Jan 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 493c350
- updated to 3.34.2

* Wed Nov 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 89a6b8e
- updated to 3.34.1

* Tue Aug 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 166d985
- updated to 3.32.0

* Wed Mar 21 2018 Jan Rękorajski <baggins@pld-linux.org> df398cf
- release 2 (by relup.sh)

* Mon Jul 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 2e2bdf2
- gnome-common no longer used

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 51c3014
- Update to 3.24.0

* Wed Nov 09 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 73abde1
- Update to 3.22.2.2

* Thu Oct 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 5980de3
- BR update

* Sun Oct 23 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 67cf31d
- Update to 3.22.1

